function [ filename ] = genFileName( StartTime, EndTime, Level, Version )
%UNTITLED3 Summary of this function goes here
%   Detailed explanation goes here

obsYear = year(StartTime);
ObsMonth = month(StartTime);
ObsDay = day(StartTime);

ObsStartHour = hour(StartTime);
ObsStartMin = minute(StartTime);
ObsStartSec = floor(second(StartTime));

ObsEndHour = hour(EndTime);
ObsEndMin = minute(EndTime);
ObsEndSec = ceil(second(EndTime));

filename = sprintf('MGF_%04d%02d%02d_%02d%02d%02d_%02d%02d%02d_V_%02d_%02d_%02d.lv%1d', ...
    obsYear, ObsMonth, ObsDay, ...
    ObsStartHour, ObsStartMin, ObsStartSec, ...
    ObsEndHour, ObsEndMin, ObsEndSec, ...
    Version(1), Version(2), Version(3), ...
    Level );
end

