function [Pointing] = get_pointing_direction(Attitude,LocationData)
%UNTITLED4 Summary of this function goes here
Pos = LocationData.Pos;
Vel = LocationData.Vel;
Roll = Attitude.Roll;
Pitch = Attitude.Pitch;
Yaw = Attitude.Yaw;
satX = zeros(numel(Roll),3);
satY = zeros(numel(Roll),3);
satZ = zeros(numel(Roll),3);
parfor t = 1:numel(Pos(:,1))
% Z = -[Pos(t,1) Pos(t,2) Pos(t,3)];
Z = -Pos(t,:);
Z = Z/norm(Z);
% V = [LocationData.Vel(t,1) LocationData.Vel(t,2) LocationData.Vel(t,3)];
V = Vel(t,:);
V = V/norm(V);
Y = cross(Z,V);
X = cross(Y,Z);
M = [X;Y;Z];
RX = [1 0 0;0 cosd(Roll(t)) sind(Roll(t));0 -sind(Roll(t)) cosd(Roll(t))];
RY = [cosd(Pitch(t)) 0 -sind(Pitch(t));0 1 0;sind(Pitch(t)) 0 cosd(Pitch(t))];
RZ = [cosd(Yaw(t)) sind(Yaw(t)) 0;-sind(Yaw(t)) cosd(Yaw(t)) 0; 0 0 1];
A = M*RX*RY*RZ;
satX(t,:) = A(1,:);
satY(t,:) = A(2,:);
satZ(t,:) = A(3,:);

end
Pointing.satX = satX;
Pointing.satY = satY;
Pointing.satZ = satZ;
end

