function [ CCSDSDateTime ] = parseCCSDSTime( CCSDSTime )

if isempty(CCSDSTime)
    CCSDSDateTime = [];
else
    CCSDSOffset = 256*256*256*CCSDSTime(1)+256*256*CCSDSTime(2)+256*CCSDSTime(3)+CCSDSTime(4)+(256*CCSDSTime(5)+CCSDSTime(6))*9e-5;
    CCSDSDateTime = datetime(1968, 05, 24, 0.0, 0.0, 0.0)+seconds(CCSDSOffset);
end

end

