function [ output_args ] = mgf_Level1( varargin )
%UNTITLED2 Summary of this function goes here
%   Detailed explanation goes here
%gen = crc.generator('Polynomial', '0x8005')


default_inputPath = '.';
default_outputPath = '.';
default_searchString = '*.lv0';

p = inputParser;
p.addParameter('inputPath', default_inputPath, @ischar);
p.addParameter('outputPath', default_outputPath, @ischar);
p.addParameter('searchString', default_searchString, @ischar);
p.parse(varargin{:});


logStruct = struct;
logStruct = mgfLogInit( logStruct, mfilename(), p, '', '', 'msg' );

fullSearchString = strcat(p.Results.inputPath,filesep,p.Results.searchString);

logStruct = mgfLog(logStruct, sprintf('Checking %s\n', fullSearchString), 'msg');


fileList = dir( fullSearchString );
numFiles = sum(~[fileList.isdir]);
numDirs = sum([fileList.isdir]);

logStruct = mgfLog(logStruct, sprintf('Found %d files. Excluding %d directories.\n', numFiles, numDirs ), 'msg');

if( numFiles > 0)
    parfor j = 1:numel(fileList)
        if (~fileList(j).isdir)
            fileName = strcat(p.Results.inputPath,filesep,fileList(j).name);
            logStruct_for = mgfLog(logStruct, sprintf('%s: Starting file ''%s''\n', mfilename(), fileName), 'msg' );
            
            try
               mgf_Level1_par(fileName, p, logStruct_for );
            catch EM
              logStruct_for = mgfLog(logStruct_temp, sprintf('%s: Caught error %s with message %s.\n', mfilename(), EM.identifier, EM.message), 'ERROR');
              logStruct_for.fileName = fileName;
              mgfLogDump( logStruct_for );
            end
       end
    end
end

end

