function [] = plotTicksByTemp(tickCoeffs, tempInd, titleStr)
%UNTITLED5 Summary of this function goes here
%   Detailed explanation goes here

figure;
hold on;

caption = strings();
j = 1;
for i = 1:numel(tickCoeffs)
   if (tickCoeffs(i).n)
       p(j) = errorbar(1:numel(tickCoeffs(i).coeffs), 0.0625*tickCoeffs(i).coeffs, tickCoeffs(i).uncertainty);
       caption(j) = sprintf('%d to %d %cc (n = %d)', tempInd(i), tempInd(i+1), char(176), tickCoeffs(i).n);
       j = j + 1; 
   end
end

title(titleStr);
legend([p],[caption], 'Location','Southeast');
ylabel('Tick Correction (nT)');
xlabel('Time (Samples)');
grid on;

hat = 1;
end

