function [ offsets ] = timeArryOffsets( t1, t2 )
%UNTITLED5 Summary of this function goes here
%   Detailed explanation goes here

i1 = 1:numel(t1);
i2 = 1:numel(t2);

dt1 = seconds(t1 - min(t1));
dt2 = seconds(t2 - min(t1));


b1 = robustfit(i1, dt1);
b2 = robustfit(i2, dt2);

offsetSeconds = b1(1)-b2(1);

if (offsetSeconds == 0)
    offsets = [0 0];
elseif (offsetSeconds > 0)
    offsets = [abs(round(offsetSeconds/b1(2))) 0];
else
    offsets = [0 abs(round(offsetSeconds/b2(2)))];
end

if ( (mod(offsets(1),160) ~= 0) || (mod(offsets(2),160) ~= 0) )
    fprintf('WARN:  Offset between instruments was NOT at 1 second intervals');
end

end

